Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# UnalignedLMatrix4f Class Reference

This is an "unaligned" LMatrix4. More...

List of all members.

## Public Member Functions
| UnalignedLMatrix4f ()
| UnalignedLMatrix4f (Mat4 const copy)
| UnalignedLMatrix4f (float e00, float e01, float e02, float e03, float e10, float e11, float e12, float e13, float e20, float e21, float e22, float e23, float e30, float e31, float e32, float e33)
| UnalignedLMatrix4f (UnalignedLMatrix4f const copy)
| getData ()
| Returns the address of the first of the nine data elements in the matrix.
int | getNumComponents ()
| Returns the number of elements in the matrix, sixteen.
| operator() (int row, int col)
float | operator() (int row, int col)
UnalignedLMatrix4f | operator= (UnalignedLMatrix4f const copy)
UnalignedLMatrix4f | operator= (Mat4 const copy)
| set (float e00, float e01, float e02, float e03, float e10, float e11, float e12, float e13, float e20, float e21, float e22, float e23, float e30, float e31, float e32, float e33)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This is an "unaligned" LMatrix4.

It has no functionality other than to store numbers, and it will pack them in as tightly as possible, avoiding any SSE2 alignment requirements shared by the primary LMatrix4 class.

Use it only when you need to pack numbers tightly without respect to alignment, and then copy it to a proper LMatrix4 to get actual use from it.

## Constructor & Destructor Documentation

UnalignedLMatrix4f | ( |  | ) |

UnalignedLMatrix4f | ( | Mat4 const | copy | ) |

UnalignedLMatrix4f | ( | UnalignedLMatrix4f const | copy | ) |

UnalignedLMatrix4f | ( | float | e00,
|  | float | e01,
|  | float | e02,
|  | float | e03,
|  | float | e10,
|  | float | e11,
|  | float | e12,
|  | float | e13,
|  | float | e20,
|  | float | e21,
|  | float | e22,
|  | float | e23,
|  | float | e30,
|  | float | e31,
|  | float | e32,
|  | float | e33
| ) |  |

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

getData | ( |  | ) |

Returns the address of the first of the nine data elements in the matrix.

The remaining elements occupy the next eight positions in row-major order.

int getNumComponents | ( |  | ) |

Returns the number of elements in the matrix, sixteen.

float operator() | ( | int | row,
|  | int | col
| ) |  |

operator() | ( | int | row,
|  | int | col
| ) |  |

UnalignedLMatrix4f operator= | ( | UnalignedLMatrix4f const | copy | ) |

UnalignedLMatrix4f operator= | ( | Mat4 const | copy | ) |

set | ( | float | e00,
|  | float | e01,
|  | float | e02,
|  | float | e03,
|  | float | e10,
|  | float | e11,
|  | float | e12,
|  | float | e13,
|  | float | e20,
|  | float | e21,
|  | float | e22,
|  | float | e23,
|  | float | e30,
|  | float | e31,
|  | float | e32,
|  | float | e33
| ) |  |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties